/*
Theme Name: qoe Child
Theme URI:  https://dawleywebdesign.co.uk
Author:     dawleywebdesign
Author URI: https://dawleywebdesign.co.uk
Template:   qoe
Version:    1.0
License:    GNU General Public License v2 or later
*/


/* Hide tabs completely just in case */
.woocommerce div.product .woocommerce-tabs {
    display: none;
}

/* Extra content area */
.cgl-product-extra-content {
    margin-top: 30px;
}

.cgl-product-extra-content h3 {
    margin: 0 0 10px;
    font-size: 1.2rem;
}

.cgl-product-description,
.cgl-product-additional-info {
    margin-bottom: 28px;
}

/* Hide cart icon when empty */
.header-cart,
.wc-block-mini-cart {
    opacity: 0;
    pointer-events: none;
}

.wp-block-woocommerce-customer-account  span.label{
    display: none !important;
}

.wp-block-woocommerce-customer-account a .wc-block-customer-account__account-icon {
    max-width: unset !important;
    max-height: unset !important;
}

/* Show when has items */
body.woocommerce-cart-full .header-cart,
body.woocommerce-cart-full .wc-block-mini-cart {
    opacity: 1;
    pointer-events: auto;
}

/* Hide original dropdown but keep it for WooCommerce logic */
table.variations select {
    position: absolute !important;
    left: -9999px !important;
}


table.variations th.label label {
    display: none !important;
}

.woocommerce table.variations tr th {
	padding-right: 0em;
}



.cgl-variation-radios {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    margin-bottom: 14px;
}

.cgl-radio-button {
    display: inline-block;
    cursor: pointer;
}

.cgl-radio-button input {
    display: none;
}

.cgl-radio-inner {
    display: inline-flex;
    align-items: center;
    gap: 12px;
    padding: 12px 18px;
    border: 1px solid #d8d8d8;
    background: #fff;
    border-radius: 4px;
    transition: 0.2s ease;
    font-weight: 600;
    white-space: nowrap;
}

.cgl-radio-price {
    font-weight: 500;
    opacity: 0.85;
}

.cgl-radio-button.active .cgl-radio-inner,
.cgl-radio-button input:checked + .cgl-radio-inner,
.cgl-radio-button:hover .cgl-radio-inner {

	background: #eee7df;
    color: #888;
    border-color: #888;
}

.button, .button:visited, button, .wp-block-search__button, input[type="button"], input[type="reset"], input[type="submit"] {

	background: #eee7df;
    color: #888;
    border-color: #888;

}


.woocommerce div.product form.cart .reset_variations,
.woocommerce-page div.product form.cart .reset_variations {
    display: none !important;
}


body.tax-product_cat ul.columns-3.wp-block-post-template,
body.post-type-archive-product ul.columns-3.wp-block-post-template {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 420px)) !important;
    justify-content: center;
}


/* Center mobile navigation items */
.wp-block-navigation__responsive-container.is-menu-open 
.wp-block-navigation__responsive-container-content {
    justify-content: center !important;
    align-items: center !important;
    text-align: center;
}

/* Make list items centered properly */
.wp-block-navigation__container {
    align-items: center !important;
}

/* Ensure each item is centered */
.wp-block-navigation-item {
    text-align: center;
}